<?php
/** 
*
* Module Breizh ajax checks [German (Casual Honorifics)]
*
* @package language
* @version $Id: ajaxchecks.php 130 16:14 19/05/2012 Sylver35 Exp $ 
* @copyright (c) 2010, 2012 Breizh Portal  http://breizh-portal.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @translator WileCoyote  http://www.phpbb.com/community/memberlist.php?mode=viewprofile&u=228157
* 
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'AJAX_CHECK_USERNAME_FALSE'			=> 'Dieser Benutzername wird bereits verwendet! Bitte wähle einen anderen.',
	'AJAX_CHECK_USERNAME_TRUE'			=> 'Der Benutzername ist noch verfügbar',
	'AJAX_CHECK_USERNAME_TOO'			=> 'Der Benutzername ist nicht verfügbar.',
	'AJAX_CHECK_USERNAME_CUR'			=> 'Das ist dein Benutzername im Moment.',
	'AJAX_CHECKING'						=> 'Prüfen mit AJAX',
	'AJAX_CHECKING_USERNAME'			=> 'Überprüfen, ob der Benutzername noch verfügbar ist',
	'AJAX_CHECKING_PASSWORD'			=> 'Überprüfen, ob die Passwörter übereinstimmen',
	'AJAX_CHECKING_PASSWORD_CUR'		=> 'Überprüfe Passwort...',
	'AJAX_CHECKING_EMAIL_FIRST'			=> 'Überprüfe die Gültigkeit deiner E-Mail-Adresse...',
	'AJAX_CHECKING_EMAIL'				=> 'Überprüfe, ob die E-Mail-Adressen übereinstimmen',
	'AJAX_CHECK_EMAIL_CURRENT'			=> 'Das ist Ihre E-Mail derzeit verwendeten',
	'AJAX_CHECK_PASSWORD_TRUE'			=> 'Die Passwörter stimmen überein',
	'AJAX_CHECK_PASSWORD_FALSE'			=> 'Die Passwörter stimmen nicht überin',
	'AJAX_CHECK_PASSWORD_STRENGTH'		=> 'Überprüfen des Passwortschutzes.',
	'AJAX_CHECK_PASSWORD_STRENGTH_1'	=> '<span style="color: red;">Passwortschutz schwach. Die Sicherheit ist zu gering. <strong>Wir lehnen jegliche Verantwortung ab!</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_2'	=> '<span style="color: darkorange;">Passwortschutz medium! <strong>Die Sicherheit ist nicht optimal.</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_3'	=> '<span style="color: royalblue;">Passwortschutz akzeptabel! <strong>Du kannst fortfahren.</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_4'	=> '<span style="color: green;">Passwortschutz stark! Dein Passwort sorgt für optimalen Schutz! <strong>Möge die Macht mit dir sein!</strong></span>',
	'AJAX_CHECK_PASSWORD_BIG'			=> 'Die zweite Passwort ist länger als die erste',
	'AJAX_CHECK_PASSWORD_TOO'			=> 'Das Passwort ist nicht verfügbar.',
	'AJAX_CHECK_PASSWORD_OK'			=> 'Das angegebene Passwort stimmt.',
	'AJAX_CHECK_EMAIL_TRUE_FIRST'		=> 'Deine E-Mail-Adresse ist gültig.',
	'AJAX_CHECK_EMAIL_TRUE'				=> 'Die E-Mail-Adressen stimmen überin',
	'AJAX_CHECK_EMAIL_FALSE'			=> 'Die E-Mail-Adressen stimmen nicht überein',
	'AJAX_CHECK_EMAIL_FORMAT_FALSE'		=> 'Das Format der E-Mail-Adresse ist falsch',
	'AJAX_CHECK_EMAIL_FAIL'				=> 'E-Mail-Adresse verweigert.',
	'AJAX_CHECK_INVALID_EMAIL'			=> '<span style="color: #FF0000;">E-Mail-Adresse verweigert weil:</span> %s<br /><span style="color: #FF0000;">Bitte wähle eine andere, dankeschön.</span>',
	'AJAX_CHECK_MOD'					=> 'Mod Breizh Ajax Checks',
	'AJAXFROM'							=> '%s <em><a href="http://breizh-portal.com/breizh-ajax-checks-f27.html" title="The forum of the Mod Breizh Ajax Checks" onclick="this.target=\'_blank\';">Breizh Ajax Checks v%s</a> by Sylver35 <a href="http://breizh-portal.com/index.html" title="The Breizh Touch" onclick="this.target=\'_blank\';">breizh-portal.com</a></em>',
));

?>