<?php
/** 
*
* Module Breizh ajax checks [Polish]
* 
* @package language
* @version $Id: ajaxchecks.php 130 16:14 19/05/2012 Sylver35 Exp $ 
* @copyright (c) 2010, 2012 Breizh Portal  http://breizh-portal.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @translator all4phone  http://www.phpbb.com/community/memberlist.php?mode=viewprofile&u=1316120
* 
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'AJAX_CHECK_USERNAME_FALSE'			=> 'Ta nazwa użytkownika jest już zajęta.! Proszę wybrać inną.',
	'AJAX_CHECK_USERNAME_TRUE'			=> 'Ta nazwa użytkownika jest jeszcze dostępna.',
	'AJAX_CHECK_USERNAME_TOO'			=> 'Ta nazwa użytkownika jest niedostępna.',
	'AJAX_CHECK_USERNAME_CUR'			=> 'Ta nazwa użytkownika w tej chwili jest Twoja.',
	'AJAX_CHECKING'						=> 'Sprawdzanie używając AJAX',
	'AJAX_CHECKING_USERNAME'			=> 'Sprawdzanie dostępności Twojej nazwy użytkownika',
	'AJAX_CHECKING_PASSWORD'			=> 'Sprawdzenie czy Twoje hasła są takie same',
	'AJAX_CHECKING_PASSWORD_CUR'		=> 'Sprawdzenie hasła...',
	'AJAX_CHECKING_EMAIL_FIRST'			=> 'Sprawdzanie poprawności Twojego e-mail...',
	'AJAX_CHECKING_EMAIL'				=> 'Sprawdzenie czy Twoje adresy e-mail są takie same',
	'AJAX_CHECK_EMAIL_CURRENT'			=> 'To jest Twój adres e obecnie stosowane',
	'AJAX_CHECK_PASSWORD_TRUE'			=> 'Twoje hasła są takie same',
	'AJAX_CHECK_PASSWORD_FALSE'			=> 'Twoje hasła nie są takie same',
	'AJAX_CHECK_PASSWORD_STRENGTH'		=> 'Sprawdzanie poziomu zabezpieczenia Twojego hasła.',
	'AJAX_CHECK_PASSWORD_STRENGTH_1'	=> '<span style="color: red;">Twoje hasło jest bardzo słabe, Bezpieczeństwo będzie niskie. <strong>Nie ponosimy ta to żadnej odpowiedzialności!</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_2'	=> '<span style="color: darkorange;">Poziom ochrony hasła jest średni! <strong>Zabezpieczenie nie jest optymalne.</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_3'	=> '<span style="color: royalblue;">Hasło umożliwia zadowalający poziom ochrony! <strong>Możesz kontynuować.</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_4'	=> '<span style="color: green;">Silne hasło, Twoje hasło zapewni optymalną ochronę! <strong>Niech moc będzie z Tobą!</strong></span>',
	'AJAX_CHECK_PASSWORD_BIG'			=> 'Sekund hasło jest dłuższe niż pierwszy',
	'AJAX_CHECK_PASSWORD_TOO'			=> 'Twoje hasło nie jest dostępne.',
	'AJAX_CHECK_PASSWORD_OK'			=> 'Podane hasło jest poprawne.',
	'AJAX_CHECK_EMAIL_TRUE_FIRST'		=> 'Twój adres e-mail jest prawidłowy.',
	'AJAX_CHECK_EMAIL_TRUE'				=> 'Twoje adresy e-mail są takie same',
	'AJAX_CHECK_EMAIL_FALSE'			=> 'Twoje adresy e-mail nie są takie same',
	'AJAX_CHECK_EMAIL_FORMAT_FALSE'		=> 'Format Twojego adresu e-mail jest nieprawidłowy',
	'AJAX_CHECK_EMAIL_FAIL'				=> 'E-mail adres odrzucony.',
	'AJAX_CHECK_INVALID_EMAIL'			=> '<span style="color: #FF0000;">E-mail adres został odrzucony, ponieważ:</span> %s<br /><span style="color: #FF0000;">Prosze wybrać inny, dziekuję.</span>',
	'AJAX_CHECK_MOD'					=> 'Mod Breizh Ajax Checks',
	'AJAXFROM'							=> '%s <em><a href="http://breizh-portal.com/breizh-ajax-checks-f27.html" title="Forum Mod Breizh Ajax Checks" onclick="this.target=\'_blank\';">Breizh Ajax Checks v%s</a> by Sylver35 <a href="http://breizh-portal.com/index.html" title="The Breizh Touch" onclick="this.target=\'_blank\';">breizh-portal.com</a></em>',
));

?>