/**
* @package Breizh Ajax checks
* @version $Id: ajax_checks.js 130 16:14 19/05/2012 Sylver35 Exp $
* @copyright(c) 2010, 2012 Sylver35  http://breizh-portal.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

// Detect IE version to use setAttribute or function()
// IE < 9 -> function() and another navigators -> setAttribute
var old_ie = ((navigator.userAgent.toLowerCase().indexOf('msie') != -1) && (navigator.userAgent.toLowerCase().indexOf('opera') == -1)) ? ((getIEVersion() < 9) ? true : false) : false;
// Add the attributes in elements
// Must search with names because subsilver2 contains no id
<!-- IF S_IN_AJAX_CHECKS_REGISTER -->
if(old_ie){
	document.getElementsByName('username')[0].onblur = function(){sndReq('usernamecheck','username',document.getElementsByName('username')[0].value,'ignore','ignore')};
	document.getElementsByName('username')[0].onkeyup = function(){sndReq('usernamecheck','username',document.getElementsByName('username')[0].value,'ignore','ignore')};
}else{
	document.getElementsByName('username')[0].setAttribute('onblur',"sndReq('usernamecheck','username',this.value,'ignore','ignore')");
	document.getElementsByName('username')[0].setAttribute('onkeyup',"sndReq('usernamecheck','username',this.value,'ignore','ignore')");
}
<!-- ELSEIF S_IN_AJAX_CHECKS_DETAILS -->
if(document.getElementsByName('username')[0]){
	if(old_ie){
		document.getElementsByName('username')[0].onblur = function(){sndReq('usernamecur','username',document.getElementsByName('username')[0].value,'ignore','ignore')};
		document.getElementsByName('username')[0].onkeyup = function(){sndReq('usernamecur','username',document.getElementsByName('username')[0].value,'ignore','ignore')};
	}else{
		document.getElementsByName('username')[0].setAttribute('onblur',"sndReq('usernamecur','username',this.value,'ignore','ignore')");
		document.getElementsByName('username')[0].setAttribute('onkeyup',"sndReq('usernamecur','username',this.value,'ignore','ignore')");
	}
}
<!-- ENDIF -->
if(document.getElementsByName('email')[0]){
	if(old_ie){
		document.getElementsByName('email')[0].onblur = function(){sndReq('checkemail','email1',document.getElementsByName('email')[0].value,'ignore','ignore')};
	}else{
		document.getElementsByName('email')[0].setAttribute('onblur',"sndReq('checkemail','email1',this.value,'ignore','ignore')");
	}
	document.getElementsByName('email')[0].setAttribute('autocomplete','off');
}
if(document.getElementsByName('email_confirm')[0]){
	if(old_ie){
		document.getElementsByName('email_confirm')[0].onblur = function(){sndReq('emailcheck','email1',document.getElementsByName('email')[0].value,'email2',document.getElementsByName('email_confirm')[0].value)};
		document.getElementsByName('email_confirm')[0].onkeyup = function(){sndReq('emailcheck','email1',document.getElementsByName('email')[0].value,'email2',document.getElementsByName('email_confirm')[0].value)};
	}else{
		document.getElementsByName('email_confirm')[0].setAttribute('onblur',"sndReq('emailcheck','email1',document.getElementsByName('email')[0].value,'email2',this.value)");
		document.getElementsByName('email_confirm')[0].setAttribute('onkeyup',"sndReq('emailcheck','email1',document.getElementsByName('email')[0].value,'email2',this.value)");
	}
	document.getElementsByName('email_confirm')[0].setAttribute('autocomplete','off');
}
<!-- IF S_IN_AJAX_CHECKS_REGISTER -->
if(old_ie){
	document.getElementsByName('new_password')[0].onblur = function(){sndReq('passwordcur','password1',document.getElementsByName('new_password')[0].value,'ignore','ignore')};
	document.getElementsByName('new_password')[0].onkeyup = function(){sndReq('strength','password1',document.getElementsByName('new_password')[0].value,'ignore','ignore')};
}else{
	document.getElementsByName('new_password')[0].setAttribute('onblur',"sndReq('passwordcur','password1',this.value,'ignore','ignore')");
	document.getElementsByName('new_password')[0].setAttribute('onkeyup',"sndReq('strength','password1',this.value,'ignore','ignore')");
}
document.getElementsByName('new_password')[0].setAttribute('autocomplete','off');
<!-- ELSEIF S_IN_AJAX_CHECKS_DETAILS -->
if(document.getElementsByName('new_password')[0]){
	if(old_ie){
		document.getElementsByName('new_password')[0].onblur = function(){sndReq('strength','password1',document.getElementsByName('new_password')[0].value,'ignore','ignore')};
		document.getElementsByName('new_password')[0].onkeyup = function(){sndReq('passwordcur','password1',document.getElementsByName('new_password')[0].value,'ignore','ignore')};
	}else{
		document.getElementsByName('new_password')[0].setAttribute('onblur',"sndReq('strength','password1',this.value,'ignore','ignore')");
		document.getElementsByName('new_password')[0].setAttribute('onkeyup',"sndReq('passwordcur','password1',this.value,'ignore','ignore')");
	}
	document.getElementsByName('new_password')[0].setAttribute('autocomplete','off');
}
<!-- ENDIF -->
if(document.getElementsByName('password_confirm')[0]){
	if(old_ie){
		document.getElementsByName('password_confirm')[0].onkeyup = function(){sndReq('passwordcheck','password1',getElementsByName('new_password')[0].value,'password2',document.getElementsByName('password_confirm')[0].value)};
	}else{
		document.getElementsByName('password_confirm')[0].setAttribute('onkeyup',"sndReq('passwordcheck','password1',getElementsByName('new_password')[0].value,'password2',this.value)");
	}
	document.getElementsByName('password_confirm')[0].setAttribute('autocomplete','off');
}
<!-- IF S_IN_AJAX_CHECKS_DETAILS -->
if(document.getElementsByName('cur_password')[0]){
	if(old_ie){
		document.getElementsByName('cur_password')[0].onkeyup = function(){sndReq('oldpassword','password1',getElementsByName('cur_password')[0].value,'password2',document.getElementsByName('new_password')[0].value)};
		document.getElementsByName('cur_password')[0].onblur = function(){sndReq('strengthcur','password1',getElementsByName('cur_password')[0].value,'ignore','ignore')};
	}else{
		document.getElementsByName('cur_password')[0].setAttribute('onkeyup',"sndReq('oldpassword','password1',this.value,'password2',getElementsByName('new_password')[0].value)");
		document.getElementsByName('cur_password')[0].setAttribute('onblur',"sndReq('strengthcur','password1',this.value,'ignore','ignore')");
	}
	document.getElementsByName('cur_password')[0].setAttribute('autocomplete','off');
}
<!-- ENDIF -->

function RequestObject(){
	var sendhttp = false;
	if(window.XMLHttpRequest && !(window.ActiveXObject)){ // branch for native XMLHttpRequest object (IE7, Opera 8.0+, Firefox, Safari)
		try{
			sendhttp = new XMLHttpRequest();
		}catch(e){
			sendhttp = false;
		}
	}else if(window.ActiveXObject){ // Support versions of Internet Explorer prior to Internet Explorer 7
		try{
			sendhttp = new ActiveXObject("Msxml2.XMLHTTP"); // modern versions
		}catch(e){
			try{
				sendhttp = new ActiveXObject("Microsoft.XMLHTTP"); // oldest versions
			}catch(e){
				sendhttp = false;
			}
		}
	}else if(typeof(XMLHttpRequest) == "undefined"){
		sendhttp = function(){
			try{
				return new ActiveXObject("Msxml2.XMLHTTP.6.0");
			}catch(e){}
			try{
				return new ActiveXObject("Msxml2.XMLHTTP.3.0");
			}catch(e){}
			try{
				return new ActiveXObject("Msxml2.XMLHTTP");
			}catch(e){}
		};
	}else{
		return false;
	}
	return sendhttp;
}
var sendhttp = RequestObject();
function sndReq(mode,valuename1,value1,valuename2,value2){
	var actual = document.getElementById(mode),ckeckImg = '{AJAX_CHECKING_IMG}&nbsp;';
	// Show that the request is running
	switch(mode)
	{
		case'usernamecheck':
			if(document.getElementsByName('username')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_USERNAME}';
			}else{
				return false;
			}
		break;
		case'passwordcur':
			if(document.getElementsByName('new_password')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_PASSWORD_CUR}';
			}else{
				return false;
			}
		break;
		case'strength':
			if(document.getElementsByName('new_password')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_PASSWORD_CUR}';
			}else{
				return false;
			}
		break;
		case'passwordcheck':
			if(document.getElementsByName('new_password')[0].value != '' && document.getElementsByName('password_confirm')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_PASSWORD}';
			}else{
				return false;
			}
		break;
		case'checkemail':
			if(document.getElementsByName('email')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_EMAIL_FIRST}';
			}else{
				return false;
			}
		break;
		case'emailcheck':
			if(document.getElementsByName('email')[0].value != '' && document.getElementsByName('email_confirm')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_EMAIL}';
			}else{
				return false;
			}
		break;
		case'usernamecur':
			if(document.getElementsByName('username')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_USERNAME}';
			}else{
				return false;
			}
		break;
		case'strengthcur':
			if(document.getElementsByName('cur_password')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_PASSWORD_CUR}';
			}else{
				return false;
			}
		break;
		case'passwordcur':
			if(document.getElementsByName('new_password')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_PASSWORD}';
			}else{
				return false;
			}
		break;
		case'oldpassword':
			if(document.getElementsByName('cur_password')[0].value != ''){
				actual.innerHTML = ckeckImg+'{LA_AJAX_CHECKING_PASSWORD_CUR}';
			}else{
				return false;
			}
		break;
		default:
			return false;
		break;
	}
	if(document.forms['register']){ // For register page
		if(document.forms['register'].lang.value != 'ignore'){
			var on_lang = document.forms['register'].lang.value;
		}else{
			var on_lang = '';
		}
		if(valuename2 != 'ignore'){
			var postStr = 'mode='+mode+'&'+valuename1+'='+replaceValue(value1)+'&'+valuename2+'='+replaceValue(value2)+'&length1='+value1.length+'&length2='+value2.length+'&lang='+on_lang;
		}else{
			var postStr = 'mode='+mode+'&'+valuename1+'='+replaceValue(value1)+'&length1='+value1.length+'&lang='+on_lang;
		}
	}else{ // For account settings page
		if(valuename2 != 'ignore'){
			var postStr = 'mode='+mode+'&'+valuename1+'='+replaceValue(value1)+'&'+valuename2+'='+replaceValue(value2)+'&length1='+value1.length+'&length2='+value2.length;
		}else{
			var postStr = 'mode='+mode+'&'+valuename1+'='+replaceValue(value1)+'&length1='+value1.length;
		}
	}
	sendhttp.open('POST','{AJAX_CHECKS_FILE}',true);
	sendhttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	sendhttp.send(postStr);
	sendhttp.onreadystatechange = function(){
		if(sendhttp.readyState == 4){
			if(sendhttp.status == 200){
				var response = sendhttp.responseText,update = new Array();
				document.getElementById('ajaxfrom').style.display = 'block';
				if(response.indexOf('||' != -1)){
					update = response.split('||');
					if(update[0]!=''&&document.getElementById(update[0])!='null'){
						document.getElementById(update[0]).innerHTML = update[1];
					}
				}
			}
		}
	}
}
// Little magic to prevent bug with somes caracters
function replaceValue(value){
	value = value.replace(/&/g,'%26').replace(/&amp;/g,'%26');
	return value;
}
// Detect IE version
function getIEVersion(){
	var ver = navigator.userAgent.match(/MSIE ([0-9.]+);/);
	if(ver != null && ver[1] != undefined){
		ver = parseInt(ver[1]);
		if(ver == 7){
			if(typeof(window.external.AddToFavoritesBar) != "undefined"||typeof(window.external.AddService) != "undefined"){
				return 8;
			}
		}
		return ver;
	}
	return 5;
}