<?php
/** 
*
* Module Breizh ajax checks [French]
*
* @package language
* @version $Id: ajaxchecks.php 130 16:14 19/05/2012 Sylver35 Exp $ 
* @copyright (c) 2010, 2012 Breizh Portal  http://breizh-portal.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* @translator Sylver35  http://breizh-portal.com
* 
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'AJAX_CHECK_USERNAME_FALSE'			=> 'Ce nom d’utilisateur est déja utilisé! Veuillez en choisir un autre.',
	'AJAX_CHECK_USERNAME_TRUE'			=> 'Ce nom d’utilisateur est disponible.',
	'AJAX_CHECK_USERNAME_TOO'			=> 'Ce nom d’utilisateur ne convient pas.',
	'AJAX_CHECK_USERNAME_CUR'			=> 'Ce nom d’utilisateur est le votre actuellement.',
	'AJAX_CHECKING'						=> 'Vérification en utilisant AJAX.',
	'AJAX_CHECKING_USERNAME'			=> 'Vérifie que le nom d’utilisateur choisi est disponible...',
	'AJAX_CHECKING_PASSWORD'			=> 'Vérifie si vos mots de passe sont les mêmes...',
	'AJAX_CHECKING_PASSWORD_CUR'		=> 'Vérification du mot de passe...',
	'AJAX_CHECKING_EMAIL_FIRST'			=> 'Vérifie la validité de votre adresse e-mail...',
	'AJAX_CHECKING_EMAIL'				=> 'Vérifie que vos adresses e-mail sont les mêmes...',
	'AJAX_CHECK_EMAIL_CURRENT'			=> 'Ceci est votre e-mail actuellement utilisé',
	'AJAX_CHECK_PASSWORD_TRUE'			=> 'Vos mots de passe sont bien les mêmes. Vous pouvez continuer.',
	'AJAX_CHECK_PASSWORD_FALSE'			=> 'Vos mots de passe ne sont pas les mêmes, veuillez recommencer.',
	'AJAX_CHECK_PASSWORD_STRENGTH'		=> 'Vérification du niveau de protection de votre mot de passe.',
	'AJAX_CHECK_PASSWORD_STRENGTH_1'	=> '<span style="color: red;">Mot de passe très faible, la sécurité sera d’un niveau bas. <strong>Nous déclinons toute responsabilité!</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_2'	=> '<span style="color: darkorange;">Mot de passe d’un niveau de protection moyen! <strong>La sécurité ne sera pas optimale.</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_3'	=> '<span style="color: royalblue;">Mot de passe d’un niveau de protection acceptable! <strong>Vous pouvez continuer.</strong></span>',
	'AJAX_CHECK_PASSWORD_STRENGTH_4'	=> '<span style="color: green;">Votre mot de passe vous assure une protection optimale! <strong>Que la force soit avec vous!</strong></span>',
	'AJAX_CHECK_PASSWORD_BIG'			=> 'Le deuxième mot de passe est plus long que le premier',
	'AJAX_CHECK_PASSWORD_TOO'			=> 'Ce mot de passe ne convient pas.',
	'AJAX_CHECK_PASSWORD_OK'			=> 'Le mot de passe indiqué est correct.',
	'AJAX_CHECK_EMAIL_TRUE_FIRST'		=> 'Votre adresse e-mail est valide.',
	'AJAX_CHECK_EMAIL_TRUE'				=> 'Vos adresses e-mail sont bien les mêmes! vous pouvez continuer.',
	'AJAX_CHECK_EMAIL_FALSE'			=> 'Vos adresses e-mail ne sont pas les mêmes! veuillez recommencer.',
	'AJAX_CHECK_EMAIL_FORMAT_FALSE'		=> 'Le format de votre adresse e-mail n’est pas correct! veuillez recommencer.',
	'AJAX_CHECK_EMAIL_FAIL'				=> 'Adresse e-mail refusée.',
	'AJAX_CHECK_INVALID_EMAIL'			=> '<span style="color: red;">Adresse émail refusée, cause:</span> %s<br /><span style="color: red;">Veuillez en choisir une autre.</span>',
	'AJAX_CHECK_MOD'					=> 'Mod Breizh Ajax Checks',
	'AJAXFROM'							=> '%s <em><a href="http://breizh-portal.com/breizh-ajax-checks-f27.html" title="Visitez Breizh Portal" onclick="this.target=\'_blank\';">Breizh Ajax Checks v%s</a> par Sylver35 <a href="http://breizh-portal.com/index.html" title="The Breizh Touch" onclick="this.target=\'_blank\';">breizh-portal.com</a></em>',
));

?>